/*
   +----------------------------------------------------------------------+
   | unknown license:                                                      |
   +----------------------------------------------------------------------+
   +----------------------------------------------------------------------+
*/

/* $ Id: $ */ 

#include "php_helloworld.h"

#if HAVE_HELLOWORLD

/* {{{ helloworld_functions[] */
function_entry helloworld_functions[] = {
	PHP_FE(helloworld          , helloworld_arg_info)
	{ NULL, NULL, NULL }
};
/* }}} */


/* {{{ helloworld_module_entry
 */
zend_module_entry helloworld_module_entry = {
	STANDARD_MODULE_HEADER,
	"helloworld",
	helloworld_functions,
	PHP_MINIT(helloworld),     /* Replace with NULL if there is nothing to do at php startup   */ 
	PHP_MSHUTDOWN(helloworld), /* Replace with NULL if there is nothing to do at php shutdown  */
	PHP_RINIT(helloworld),     /* Replace with NULL if there is nothing to do at request start */
	PHP_RSHUTDOWN(helloworld), /* Replace with NULL if there is nothing to do at request end   */
	PHP_MINFO(helloworld),
	"0.0.1", 
	STANDARD_MODULE_PROPERTIES
};
/* }}} */

#ifdef COMPILE_DL_HELLOWORLD
ZEND_GET_MODULE(helloworld)
#endif


/* {{{ PHP_MINIT_FUNCTION */
PHP_MINIT_FUNCTION(helloworld)
{

	/* add your stuff here */

	return SUCCESS;
}
/* }}} */


/* {{{ PHP_MSHUTDOWN_FUNCTION */
PHP_MSHUTDOWN_FUNCTION(helloworld)
{

	/* add your stuff here */

	return SUCCESS;
}
/* }}} */


/* {{{ PHP_RINIT_FUNCTION */
PHP_RINIT_FUNCTION(helloworld)
{
	/* add your stuff here */

	return SUCCESS;
}
/* }}} */


/* {{{ PHP_RSHUTDOWN_FUNCTION */
PHP_RSHUTDOWN_FUNCTION(helloworld)
{
	/* add your stuff here */

	return SUCCESS;
}
/* }}} */


/* {{{ PHP_MINFO_FUNCTION */
PHP_MINFO_FUNCTION(helloworld)
{
	php_info_print_box_start(0);
	php_printf("<p>The unknown extension</p>\n");
	php_printf("<p>Version 0.0.1devel (2007-09-07)</p>\n");
	php_info_print_box_end();
	/* add your stuff here */

}
/* }}} */


/* {{{ proto void helloworld()
   */
PHP_FUNCTION(helloworld)
{



	if (ZEND_NUM_ARGS()>0)  {
		WRONG_PARAM_COUNT;
	}


	do {
		php_printf("Hello, World!");
	} while (0);
}
/* }}} helloworld */

#endif /* HAVE_HELLOWORLD */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
